출시하다 버전당 하나의 항목(해당 출시하다 배송한 배포 수, 코드 동결 시기, 출시하다 이벤트 인 배포서버 )에 대해 ECP를 프록시합니다. 출시하다 는 타임라인의 경계이므로 배포서버 도착할 때 열려 있던 출시하다 또는 아티팩트가 배포된 출시하다 에 속합니다.
GET /api/v1/projects/{id}/workspaces/{workspace_id}/deployments/versions
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/projects/{id}/workspaces/{workspace_id}/deployments/versions' \
--header "Authorization: $API_KEY"
응답 예시(406)
작업을 사용할 수 없습니다.
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(200)
{
"versions": [
{
"deployment_count": 42,
"release_build_ids": [
"string"
],
"release_deployment_id": "string",
"release_version": "string",
"released_at": "2026-05-04T09:42:00Z"
}
]
}
응답 예시(200)
{
"versions": [
{
"deployment_count": 42,
"release_build_ids": [
"string"
],
"release_deployment_id": "string",
"release_version": "string",
"released_at": "2026-05-04T09:42:00Z"
}
]
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(403)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(403)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(502)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(502)
{
"code": "string",
"error": "string",
"success": true
}